## javanet.staxutils.events
Class CharactersEvent

    java.lang.Object
      javanet.staxutils.events.AbstractXMLEvent
          javanet.staxutils.events.AbstractCharactersEvent
              javanet.staxutils.events.CharactersEvent

All Implemented Interfaces:
  Serializable, Cloneable, ExtendedXMLEvent, Characters, XMLEvent, XMLStreamConstants

    public class CharactersEvent

extends AbstractCharactersEvent

Non-ignorable `Characters` event implementation.

Version:
  $Revision: 1.1 $
Author:
  Christian Niles
See Also:
  Serialized Form

Field Summary

Fields inherited from class javanet.staxutils.events.AbstractCharactersEvent
`data`

Fields inherited from class javanet.staxutils.events.AbstractXMLEvent
`location, schemaType`

Fields inherited from interface javax.xml.stream.XMLStreamConstants
`ATTRIBUTE, CDATA, CHARACTERS, COMMENT, DTD, END_DOCUMENT, END_ELEMENT, ENTITY_DECLARATION, ENTITY_REFERENCE, NAMESPACE, NOTATION_DECLARATION, PROCESSING_INSTRUCTION, SPACE, START_DOCUMENT, START_ELEMENT`

Constructor Summary
`CharactersEvent(Characters that)`
`CharactersEvent(String data)`
`CharactersEvent(String data, Location location)`
`CharactersEvent(String data, Location location, QName schemaType)`

Method Summary
`int` `getEventType()` Returns `XMLStreamConstants.CHARACTERS`.
`boolean` `isCData()`
`boolean` `isIgnorableWhiteSpace()`

Methods inherited from class javanet.staxutils.events.AbstractCharactersEvent
`getData, isCharacters, isWhiteSpace`

Methods inherited from class javanet.staxutils.events.AbstractXMLEvent
`asCharacters, asEndElement, asStartElement, clone, getLocation, getSchemaType, isAttribute, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, matches, toString, writeAsEncodedUnicode, writeEvent`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface javax.xml.stream.events.XMLEvent
`asCharacters, asEndElement, asStartElement, getLocation, getSchemaType, isAttribute, isEndDocument, isEndElement, isEntityReference, isNamespace, isProcessingInstruction, isStartDocument, isStartElement, writeAsEncodedUnicode`

Constructor Detail

### CharactersEvent

    public CharactersEvent(String data)

### CharactersEvent

    public CharactersEvent(String data,
                           Location location)

### CharactersEvent

    public CharactersEvent(String data,
                           Location location,
                           QName schemaType)

### CharactersEvent

    public CharactersEvent(Characters that)

Method Detail

### isCData

    public boolean isCData()

### isIgnorableWhiteSpace

    public boolean isIgnorableWhiteSpace()

### getEventType

    public int getEventType()

  Returns `XMLStreamConstants.CHARACTERS`.